About
Merge ordered video inputs into one MP4 with Google Cloud Transcoder.
1. Calling the API
Setup your API Key
To begin using Infron, you first need to create an account and generate your API Key.
Once you have your API key, set it as an environment variable in your runtime environment. This allows your applications to securely access Infron’s API.
export INFRON_KEY="YOUR_API_KEY"
Submit a request
For long-running requests, you can poll for results.
curl https://media.onerouter.pro/v1/videos/generations \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d @- <<'EOF'
{
"model": "google/transcoder/merge-videos",
"video_urls": [
"https://infron.ai/cdn/media/video/video_v2/output/output_a6aa6eb8-bb47-4665-a450-8ce8b8cd5140.mp4",
"https://storage.googleapis.com/infron_gcs/quick-upload/2026/08/22/20260822-142303-a694fcc9-ffmpeg-video.mp4"
],
"resolution": "1080p",
"fps": 30,
"keep_audio": false,
"audio_bitrate_bps": 128000
}
EOF
Response with queue task id
The response will look like this:
{
"code": 200,
"message": "success",
"data": {
"task_id": "202608220650552875696348sQmsRKl",
"object": "video",
"model": "google/transcoder/merge-videos",
"status": "created",
"urls": {
"query": "https://media.onerouter.pro/v1/videos/tasks/202608220650552875696348sQmsRKl"
},
"created_at": "2026-08-22 06:50:55.32"
}
}
Fetch request status
You can fetch the status of a request to check if it is completed or still in progress.
curl https://media.onerouter.pro/v1/videos/tasks/{task_id} \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"
# For example
curl https://media.onerouter.pro/v1/videos/tasks/202608220650552875696348sQmsRKl \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"
Response with queue task status query
{
"code": 200,
"message": "success",
"data": {
"task_id": "202608220650552875696348sQmsRKl",
"object": "video",
"model": "google/transcoder/merge-videos",
"status": "in_progress",
"fail_reason": "",
"submit_time": 1787381455,
"start_time": 1787381456,
"finish_time": 0,
"outputs": [],
"created_at": "2026-08-22 06:50:55"
}
}
Possible statuses:
- created
- in_progress
- processing
- completed
- failed
created -> in_progress → processing → completed | failed
Poll every 1-2 seconds until status is "completed" or "failed"
Get the result (when status is "completed")
Once the request is completed, you can fetch the result. See the Output Schema for the expected result format.
{
"code": 200,
"message": "success",
"data": {
"task_id": "202608220650552875696348sQmsRKl",
"object": "video",
"model": "google/transcoder/merge-videos",
"status": "completed",
"fail_reason": "",
"submit_time": 1787381455,
"start_time": 1787381456,
"finish_time": 1787381495,
"outputs": [
"https://infron.ai/cdn/media/video/transcoder/output/202608220650552875696348sQmsRKl/output.mp4"
],
"usage": {
"completion_tokens": 0,
"duration": 11,
"generate_audio": false,
"output_count": 1,
"prompt_tokens": 1,
"request_num": 1,
"resolution": "1080p",
"tokens": 1,
"total_tokens": 1,
"video_duration": 11
},
"cost": {
"total_cost": 0.0055,
"cost_details": {
"prompt_cost": 0,
"completion_cost": 0,
"image_cost": 0,
"video_cost": 0.0055,
"audio_cost": 0,
"native_web_search_cost": 0,
"plugin_web_search_cost": 0,
"tools_cost": 0,
"prompt_cache_read_cost": 0,
"prompt_cache_write_cost": 0,
"prompt_cache_write_5_min": 0,
"prompt_cache_write_1_h": 0,
"reasoning_cost": 0,
"discount_rate": 1,
"is_byok": false,
"byok_cost": 0
}
},
"created_at": "2026-08-22 06:50:55"
}
}
2. Schema
Input
| Parameter | Type | Required | Default | Range | Description |
|---|---|---|---|---|---|
| model | string | Yes | -- | Explore all models | Model name. |
| video_urls | array | Yes | -- | [2, 20] | Video URLs. Each video clip must be at least 5 seconds long. |
| resolution | string | No | 720p | 480p, 720p, 1080p, 4k | Resolution of the generated video. |
| fps | integer | No | 30 | [1, 120] | Frame rate of the generated video. |
| keep_audio | boolean | No | True | -- | Whether to retain and re-encode AAC audio tracks in the output. |
| audiobitratebps | integer | No | 128000 | [1, 10000000] | The AAC audio bitrate used when keep_audio=true, in bit/s. |
Example request
curl https://media.onerouter.pro/v1/videos/generations \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d @- <<'EOF'
{
"model": "google/transcoder/merge-videos",
"video_urls": [
"https://infron.ai/cdn/media/video/video_v2/output/output_a6aa6eb8-bb47-4665-a450-8ce8b8cd5140.mp4",
"https://storage.googleapis.com/infron_gcs/quick-upload/2026/08/22/20260822-142303-a694fcc9-ffmpeg-video.mp4"
],
"resolution": "1080p",
"fps": 30,
"keep_audio": false,
"audio_bitrate_bps": 128000
}
EOF
Output
| Parameter | Type | Range | Description |
|---|---|---|---|
| code | integer | -- | Status code of the request. |
| message | string | -- | Status message of the request. |
| data | object | -- | Data of the video task. |
| data.task_id | string | -- | ID of the video task. |
| data.object | string | -- | Object type of the video task. |
| data.model | string | -- | Model name of the video task. |
| data.status | string | created, in_progress, processing, completed, failed | Status of the video task. |
| data.fail_reason | string | -- | Fail reason of the video task. |
| data.submit_time | integer | -- | Timestamp of the video task submission. |
| data.start_time | integer | -- | Timestamp of the video task start. |
| data.finish_time | integer | -- | Timestamp of the video task finish. |
| data.outputs | array | -- | Outputs of the video task. |
| data.created_at | string | -- | Timestamp of the video task creation. |
Example output
{
"code": 200,
"message": "success",
"data": {
"task_id": "202608220650552875696348sQmsRKl",
"object": "video",
"model": "google/transcoder/merge-videos",
"status": "completed",
"fail_reason": "",
"submit_time": 1787381455,
"start_time": 1787381456,
"finish_time": 1787381495,
"outputs": [
"https://infron.ai/cdn/media/video/transcoder/output/202608220650552875696348sQmsRKl/output.mp4"
],
"usage": {
"completion_tokens": 0,
"duration": 11,
"generate_audio": false,
"output_count": 1,
"prompt_tokens": 1,
"request_num": 1,
"resolution": "1080p",
"tokens": 1,
"total_tokens": 1,
"video_duration": 11
},
"cost": {
"total_cost": 0.0055,
"cost_details": {
"prompt_cost": 0,
"completion_cost": 0,
"image_cost": 0,
"video_cost": 0.0055,
"audio_cost": 0,
"native_web_search_cost": 0,
"plugin_web_search_cost": 0,
"tools_cost": 0,
"prompt_cache_read_cost": 0,
"prompt_cache_write_cost": 0,
"prompt_cache_write_5_min": 0,
"prompt_cache_write_1_h": 0,
"reasoning_cost": 0,
"discount_rate": 1,
"is_byok": false,
"byok_cost": 0
}
},
"created_at": "2026-08-22 06:50:55"
}
}
3. Detailed Pricing
| Resolution | Billed unit | Price |
|---|---|---|
480p | 1 input video second | $0.00025 |
720p | 1 input video second | $0.0005 |
1080p | 1 input video second | $0.0005 |
4k | 1 input video second | $0.001 |